Page MenuHomePhabricator

Ugly replacement of edit => edit source for section edit links on page load
Closed, ResolvedPublic1 Story Points

Description

During page load there is ugly noticeable replacement of edit section links from "edit" to "edit source", in namespace where VE isn't enabled.
This should be avoided and replaced before page load in non noticeable way using php hook (e.g onSkinEditSectionLinks)

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterServer-side replace Edit=>Edit Source on talk NS

Event Timeline

eranroz created this task.Sep 12 2015, 10:13 AM
eranroz raised the priority of this task from to Needs Triage.
eranroz updated the task description. (Show Details)
eranroz added a project: VisualEditor.
eranroz added a subscriber: eranroz.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 12 2015, 10:13 AM
eranroz claimed this task.Sep 12 2015, 10:44 AM
eranroz set Security to None.

gerrit bot is too lazy to comment here?
https://gerrit.wikimedia.org/r/#/c/237891/

Change 237891 had a related patch set uploaded (by Eranroz):
Avoid flicks in talk pages

https://gerrit.wikimedia.org/r/237891

Can you say which wiki/page and with what browser you get a flicker? I don't…

What I mean in "flicker" here is a replacement of content during page load that cause change in the size of elements.
This is visible in any talk page (or WP ns), for example, https://en.wikipedia.org/wiki/Talk:WYSIWYG
It can be reproduced in any browser Chrome/Firefox.
The issue is more bold if page load takes longer or artificially if you add "Break on... => "Subtree modifications" on the first .mw-editsection link

What is your user interface language?

Jdforrester-WMF renamed this task from Ugly edit => edit source replacement on page load to Ugly replacement of edit => edit source for section edit links on page load.Sep 15 2015, 6:14 PM
Jdforrester-WMF triaged this task as High priority.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.

Change 237891 merged by jenkins-bot:
Server-side replace Edit=>Edit Source on talk NS

https://gerrit.wikimedia.org/r/237891

Jdforrester-WMF closed this task as Resolved.Sep 17 2015, 3:13 AM
Jdforrester-WMF removed a project: Patch-For-Review.